Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159142 - RFE: Add support for the GNU Autotools to Eclipse
Summary: RFE: Add support for the GNU Autotools to Eclipse
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-cdt
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-30 16:19 UTC by Dave Malcolm
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version: eclipse-cdt-3.1.1-3
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-26 18:31:45 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2005-05-30 16:19:42 UTC
A sizable percentage of Open Source projects are built using automake, autoconf
and libtool.

I would Eclipse to support a kind of project defined purely in terms of the
autotools source files: configure.in/ac and the various Makefile.am files

This would allow Eclipse to be used as a drop-in IDE for all of these projects,
and make Eclipse much more viable to these OSS developers. 

Code exists in the gnome-build project in GNOME CVS for working with autotool
source files; IIRC it can parse them, write them out, and has an MVC framework
with signal emissions when changes are made.  This is used by the Anjuta IDE. 
It is not 100% perfect, but it appears to be good enough for most purposes.

IMHO, very few developers understand these autotools; they work by copying and
pasting fragments of configure.in and Makefile.am files between projects.  Only
in a few cases does the precise syntax matter - provided that it's preserved
(which I believe the gnome-build stuff does)

Comment 1 Andrew Overholt 2005-09-19 18:51:06 UTC
Dave already knows this, but some work was done for this as part of Google's
Summer of Code under the KDE umbrella:

http://kde-eclipse.pwsp.net

Comment 2 Andrew Overholt 2006-01-17 16:46:17 UTC
FWIW, I've started to take a look at the KDE project.  If anyone else wants to
join in on the hacking, that'd be awesome!

Comment 3 Dave Malcolm 2006-01-17 18:29:58 UTC
I'm not familiar enough with java packaging to do this, but it would be nice to
have them in Extras (or even Core!).

But the package should really be called something like eclipse-autotools or
similar; the kde in the name is misleading.

Comment 4 Andrew Overholt 2006-01-17 18:33:44 UTC
(In reply to comment #3)
> I'm not familiar enough with java packaging to do this, but it would be nice to
> have them in Extras (or even Core!).

Yeah, I'd like to add them as a dependency of eclipse-cdt (just at the RPM level).

> But the package should really be called something like eclipse-autotools or
> similar; the kde in the name is misleading.

Alexander said he'd change the package name after SoC was over so I should speak
to him.  I also have a small patch to send him.

Comment 5 Ben Konrath 2006-09-04 20:27:17 UTC
Reassigning to Jeff Johnston becuase he is working on adding GNU Autotools
support to the CDT.

Comment 6 Jeff Johnston 2006-10-26 18:31:45 UTC
A separate project called the Autotools project is actively underway.  The
Autotools plug-in is currently shipped with the FC6 eclipse-cdt package.  See:
http:/sources.redhat.com/eclipse/autotools for details on how to access the source.


Note You need to log in before you can comment on or make changes to this bug.